﻿using SoapEndpoint.Service.Flows.BrEnHf.v1.LogbookService;

namespace SoapEndpoint.Tester.Scenario.Flow.BrEnHf;

public class ShvFlowItem : ShvFlowItemBase<BerichtType>
{
    public ShvFlowItem(BerichtType shvType, bool hasAttachment = false) :
        base(shvType, BerichtType.SYS_AfleverBericht, shvHasAttachment: hasAttachment)
    {
    }

    public ShvFlowItem(BerichtType shvType, BerichtType seType, bool hasAttachment = false) :
        base(shvType, BerichtType.SYS_AfleverBericht, seType, BerichtType.SYS_AfleverBericht, hasAttachment)
    {
    }
}