﻿using SoapEndpoint.Service.Flows.PauzeSignaal3.v1.LogbookService;
using SoapEndpoint.Tester.Scenario.Flow.PauzeSignaal3;

namespace SoapEndpoint.Tester.Scenario.Implementations.PauzeSignaal3;

public class StatusverzoekScenario : PauzeSignaal3ScenarioBase
{
    public override string Name => "Statusverzoek";

    protected override async Task ExecuteAsync()
    {
        StartNewScenario("Scenario 1");

        await Manager.SHV_RequestReplyAsync(Conversation,
            new ShvFlowItem(BerichtType.SHV_Kennisgeving, BerichtType.SE_KennisgevingAntwoord));

        await Manager.SE_RequestReplyAsync(Conversation,
            new SeFlowItem(BerichtType.SE_Statusverzoek, BerichtType.SHV_StatusberichtShv));
    }
}